Package com.treemap.swing

# Enum Class DefaultTreeMapController.Mode

java.lang.Object
java.lang.Enum<DefaultTreeMapController.Mode>
com.treemap.swing.DefaultTreeMapController.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultTreeMapController.Mode>`, `Constable`

Enclosing class:
  `DefaultTreeMapController<N,Row,Column>`

public static enum DefaultTreeMapController.Mode extends Enum<DefaultTreeMapController.Mode>
Interaction mode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Drilling`
  Drilling mode.
  `Panning`
  Panning mode.
  `Selection`
  Selection mode.
  `Zooming`
  Zooming mode.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultTreeMapController.Mode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DefaultTreeMapController.Mode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Selection

    public static final DefaultTreeMapController.Mode Selection
    Selection mode.

  - ### Zooming

    public static final DefaultTreeMapController.Mode Zooming
    Zooming mode.

  - ### Panning

    public static final DefaultTreeMapController.Mode Panning
    Panning mode.

  - ### Drilling

    public static final DefaultTreeMapController.Mode Drilling
    Drilling mode.

- ## Method Details

  - ### values

    public static DefaultTreeMapController.Mode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DefaultTreeMapController.Mode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null